   import java.io.IOException;  
   import java.io.BufferedReader;
   import java.io.InputStreamReader;
	 
    public class Vraag3_Memo
   {
     
      String[] arrTic = {"RCm158", "ADM33", "RCv250", "RAv5", 
         		"BRM32", "ADm236","RCm23", "RDM54", 
         		"RCv17", "RAm12", "ADm9", "RCV43", 
         		"RDm140", "RDm23", "ACV113", "ABv30", 
         		"RDm22", "ARv38", "RCV8", "RAv53", 
         		"RCv12", "ABV156", "ADM31", "ADM47", 
         		"RAv48", "ABV246", "ABv59", "RRM321", 
         		"ABm36", "RCV31","RAm445", "ACn26"};   // grootte 32
   				
   
     			
      String[] arrUitstalling = {"AA","AB","AC","AD","RA","RB","RC","RD"};
      int[] arrPunte = {0,0,0,0,0,0,0,0};
      String[]arrMedalje = {"Goud", "Silwer", "Brons"};
   	
      BufferedReader inKb; 
   
         	
   	//============================================================================================
      	// Opsie A   
       public void valideer()      { 
         System.out.println("Ongeldige inskrywings");
         for (int tel = 0; tel < 32;tel++) {
         	
            Kaartjie kaartjie = new Kaartjie(arrTic[tel]);
            if (kaartjie.isGeldig()== false)	{  
            			
               System.out.println(arrTic[tel]);
               arrTic[tel] = "Z";
            }
         }
      }
      //==========================================================================================
    	//Opsie B
       public void getWenNommer()
      {
         boolean geldig = false;    
         int wen = (int)(Math.random() * 32); 
         while (geldig == false)
         {
            if(arrTic[wen-1].equals("Z"))
            {
               wen = (int)(Math.random() * 32);         	    
               System.out.println("Ongeldig");
            }
            else      
               geldig = true;
         }
         System.out.println("Die posisie van die wenkaartjie in die skikking is: " + wen); 
         System.out.println("Die wenkaartjie: " + arrTic[wen-1]);            
      }
   	//==================================================================================
   	// Opsie C 	
   	// Indentifiseer Medalje Wenners
		public void getMedalWenners() throws IOException
      {
         //For each display add points:
         for (int d = 0; d < 8; d ++)   {
            for (int t = 0; t < 32; t++)   {
               if( !(arrTic[t].equalsIgnoreCase("Z"))){
                 
                  Kaartjie kaartjie = new Kaartjie(arrTic[t]);
               		
                  String uitstalKeuse = kaartjie.getAfdeling() + kaartjie.getUitstalling();
               						
                  if (uitstalKeuse.equalsIgnoreCase(arrUitstalling[d]))	{
                     arrPunte[d]= arrPunte[d] + kaartjie.getPuntwaarde();
                  } //if
               } // if not Z
            }// for kaartjie
         }// for d
      	
      //Sorteer die twee skikkings
         for (int a = 0; a < 8 -1; a++)   {
            for (int d = (a+1); d < 8; d++)   {
               if ( arrPunte[a] < arrPunte[d]){
               
                  String tempUit = arrUitstalling[a];
                  arrUitstalling[a]= arrUitstalling[d];
                  arrUitstalling[d] = tempUit;
               
                  int tempP = arrPunte[a];
                  arrPunte[a] = arrPunte[d];
                  arrPunte[d] = tempP;
               } // if
            } // for d
         }	// for a	  
      //vertoon medaljes
         System.out.println("Uitstallings wat medaljes wen:");
         System.out.printf("%s%18s%9s\n","Medalje","Uitstalling","Punte");
         for (int a = 0; a < 3; a ++)   {
             System.out.printf("%-8s%8s%15d\n", arrMedalje[a], arrUitstalling[a],arrPunte[a]);                        
            							
         }						                  
      }  // getMedalWenners
        
       public void vertoonKeuselys() throws IOException
      {
         inKb = new BufferedReader (new InputStreamReader (System.in));
      
         System.out.println();
      
         char keuse = ' '; 
         do
         {         
            System.out.println("\n\n        KEUSELYS");
            System.out.println();
            System.out.println("      Opsie A");
            System.out.println("      Opsie B");
            System.out.println("      Opsie C");
            System.out.println();
            System.out.println("      V - VERLAAT");
            System.out.println(" ");
            System.out.print("    Jou keuse? ");
            keuse = inKb.readLine().toUpperCase().charAt(0);
            System.out.println(" ");
            String sql = "";
            switch(keuse)
            {
               case 'A':
                  valideer();
                  break;
               case 'B':
                  getWenNommer();
                  break;
               case 'C':                                    
                  getMedalWenners();
                  break;
               case 'Q':
                  System.out.println("VERLAAT");
                  break;
            }
         }while(keuse != 'V');		      		
      }
   
   }